﻿/**Begin D:\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\FRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FRM_RPTORIGINSYS')
CREATE TABLE T_FRM_RPTORIGINSYS
(
    FID          BIGINT        DEFAULT 0   NOT NULL,
    FNUMBER     VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FNAME       NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FMASTERID   BIGINT        DEFAULT 0   NOT NULL,
    FCREATORID  BIGINT        DEFAULT 0   NOT NULL,
    FCREATETIME DATETIME,
    FMODIFIERID BIGINT        DEFAULT 0   NOT NULL,
    FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FRM_RPTORIGINSYS_L')
CREATE TABLE T_FRM_RPTORIGINSYS_L
(
    FID       BIGINT        DEFAULT 0   NOT NULL,
    FPKID     VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FLOCALEID VARCHAR(10)   DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FRM_RPTAPPCFG')
CREATE TABLE T_FRM_RPTAPPCFG
(
    FID          BIGINT        DEFAULT 0   NOT NULL,
    FNUMBER      VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FNAME        NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FORIGINSYSID BIGINT        DEFAULT 0   NOT NULL,
    FSTATUS      VARCHAR(10)   DEFAULT 'C' NOT NULL,
    FENABLE      VARCHAR(10)   DEFAULT ' ' NOT NULL,
    FMASTERID    BIGINT        DEFAULT 0   NOT NULL,
    FISGL        CHAR(1)       DEFAULT ' ' NOT NULL,
    FAPPID       VARCHAR(36)   DEFAULT ' ' NOT NULL,
    FREFGLAPPID  BIGINT        DEFAULT 0   NOT NULL,
    FCREATORID   BIGINT        DEFAULT 0   NOT NULL,
    FCREATETIME  DATETIME,
    FMODIFIERID  BIGINT        DEFAULT 0   NOT NULL,
    FMODIFYTIME  DATETIME,
    FPRESET      CHAR(1)       DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FRM_RPTAPPCFG_L')
CREATE TABLE T_FRM_RPTAPPCFG_L
(
    FID       BIGINT        DEFAULT 0   NOT NULL,
    FPKID     VARCHAR(50)   DEFAULT ' ' NOT NULL,
    FNAME     NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FLOCALEID VARCHAR(10)   DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FRM_RPTAPPCFGENTRY')
CREATE TABLE T_FRM_RPTAPPCFGENTRY
(
    FENTRYID        BIGINT        DEFAULT 0   NOT NULL,
    FID            BIGINT        DEFAULT 0   NOT NULL,
    FSEQ           INT           DEFAULT 0   NOT NULL,
    FPRESET        CHAR(1)       DEFAULT '0' NOT NULL,
    FPLUGINDISABLE CHAR(1)       DEFAULT '0' NOT NULL,
    FAPPLYTYPE     VARCHAR(10)   DEFAULT ' ' NOT NULL,
    FSERVICETTYPE  VARCHAR(10)   DEFAULT ' ' NOT NULL,
    FCLOUDID       VARCHAR(32)   DEFAULT ' ' NOT NULL,
    FINVOKEAPPID   VARCHAR(100)  DEFAULT ' ' NOT NULL,
    FSERVICENAME   VARCHAR(255)  DEFAULT ' ' NOT NULL,
    FMETHODNAME    VARCHAR(255)  DEFAULT ' ' NOT NULL,
    FPLUGINDESC    NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FRM_RPTAPPCFG' AND KSQL_COL_NAME ='FVCHIDTYPE')
ALTER TABLE T_FRM_RPTAPPCFG ADD (FVCHIDTYPE VARCHAR(10)   DEFAULT '1' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FRM_RPTAPPCFGENTRY' AND KSQL_COL_NAME ='FRETTYPE')
ALTER TABLE T_FRM_RPTAPPCFGENTRY ADD (FRETTYPE VARCHAR(10)   DEFAULT '1' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FRM_TASK' AND KSQL_COL_NAME ='FGLAPPID')
ALTER TABLE T_FRM_TASK ADD (FGLAPPID BIGINT DEFAULT 0 NOT NULL );

-- 联查明细
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AI_RECON_SCHEMEENTRY' AND KSQL_COL_NAME ='FVIEWDETAIL')
ALTER TABLE T_AI_RECON_SCHEMEENTRY ADD (FVIEWDETAIL CHAR(1) DEFAULT '1' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AI_RECON_TAB2ENTRY' AND KSQL_COL_NAME ='FVIEWDETAIL')
ALTER TABLE T_AI_RECON_TAB2ENTRY ADD (FVIEWDETAIL CHAR(1) DEFAULT '1' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_AI_RECON_TAB3ENTRY' AND KSQL_COL_NAME ='FVIEWDETAIL')
ALTER TABLE T_AI_RECON_TAB3ENTRY ADD (FVIEWDETAIL CHAR(1) DEFAULT '1' NOT NULL );

/**End D:\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\FRM_table.sql **/
